Status: In Progress Start date: 2016-11-20
Priority: High % Done: 60%
Assignee: skyjake

Category: Redesign

Target version: 3.0

Description

Remote repositories. Similar to apt repositories, web servers can set up a specific directory structure that Doomsday can then
access to read a compilation of the available package metadata and download individual packages. Interestingly, thanks to
(upcoming) FS2 remote folders, clients can access the server's local package cache as if it was a remote repository where packages
can be automatically downloaded if necessary.

Virtual repositories. A remote repository that looks like a regular remote repository to Doomsday, but in fact is something different
like the idgames archive, where all the WADs are made available as if they were Doomsday packages so that they are accessible via
the same mechanism as any other package.

Related issues:

Related to Feature #1878: [MP] Hosted files/pwads etc need client download an... Closed 2014-10-15
Related to Feature #1766: Server-supplied (i.e., remote) resource files Closed 2014-04-18
Related to Feature #2393: Map selection Ul for Master Levels for Doom Il (Epi... New 2020-01-03
History

#1 - 2017-02-08 12:08 - skyjake
- Related to Feature #1878: [MP] Hosted files/pwads etc need client download and auto load/unload files added

#2 - 2017-02-08 12:08 - skyjake

- Related to Feature #1766: Server-supplied (i.e., remote) resource files added

#3 - 2017-03-04 09:26 - skyjake
- Priority changed from Normal to High

#4 - 2017-10-17 08:08 - skyjake
- % Done changed from 0 to 40

#5 - 2017-10-17 08:09 - skyjake

- Status changed from New to In Progress

#6 - 2017-10-30 07:16 - skyjake
- % Done changed from 40 to 60

#7 - 2018-10-27 14:55 - skyjake
- Target version deleted (2.1 (Late 2018))

#8 - 2019-10-14 10:43 - skyjake

- Target version set to 3.0

#9 - 2020-01-04 17:44 - skyjake
- Related to Feature #2393: Map selection Ul for Master Levels for Doom Il (Episode with additional packages) added
